import { IocContainer } from './types';
export declare class Commander {
    private _version?;
    ioc(iocContainer: IocContainer): this;
    commandsFromDirectory(directoryPath: string): Promise<this>;
    version(version: string): this;
    versionFromPackage(directoryPath: string): this;
    execute(argv?: string[]): Promise<void>;
    private getPackageVersion;
}
