import { CommandClass, CommandOptionDefinitionOptions } from './types';
import { CommandParamsClass } from './types';
export declare const command: <TParams>(name: string, paramsClass: CommandParamsClass<TParams>, description?: string) => (target: CommandClass<TParams>) => void;
export declare const option: (options?: CommandOptionDefinitionOptions) => (target: any, name: string) => void;
export interface ValueOptions {
    optional?: boolean;
    variadic?: {
        type: typeof String | typeof Number | typeof Boolean;
    };
}
export declare const value: (options?: ValueOptions) => (target: any, name: string) => void;
