import 'reflect-metadata';
import { CommandOptionDefinition, CommandOptionDefinitionOptions, CommandValueDefinition } from './types';
export declare const metadataKeys: Readonly<{
    command: symbol;
    options: symbol;
    values: symbol;
}>;
export declare function getCommandValues(paramsClassPrototype: any): CommandValueDefinition[];
export interface AddCommandValueOptions {
    paramsClassPrototype: any;
    name: string;
    optional: boolean;
    variadicType: typeof String | typeof Number | typeof Boolean | undefined;
}
export declare function addCommandValue(options: AddCommandValueOptions): void;
export declare function getCommandOptions(paramsClassPrototype: any): CommandOptionDefinition[];
export declare function addCommandOption(paramsClassPrototype: any, name: string, options: CommandOptionDefinitionOptions | undefined): void;
